httpd-bugs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From bugzi...@apache.org
Subject DO NOT REPLY [Bug 13188] New: - does not configure correctly for hppa64-hp-hpux11.00 and gnu ld
Date Wed, 02 Oct 2002 01:15:51 GMT
DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG 
RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
<http://nagoya.apache.org/bugzilla/show_bug.cgi?id=13188>.
ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND 
INSERTED IN THE BUG DATABASE.

http://nagoya.apache.org/bugzilla/show_bug.cgi?id=13188

does not configure correctly for hppa64-hp-hpux11.00 and gnu ld

           Summary: does not configure correctly for hppa64-hp-hpux11.00 and
                    gnu ld
           Product: Apache httpd-1.3
           Version: 1.3.26
          Platform: HP
        OS/Version: HP-UX
            Status: NEW
          Severity: Normal
          Priority: Other
         Component: Build
        AssignedTo: bugs@httpd.apache.org
        ReportedBy: Robert.Lopez@abq.sc.philips.com


% uname -a
HP-UX B.11.00 U 9000/800 688319363 unlimited-user license
% gcc -v
Reading specs from /usr/local/lib/gcc-lib/hppa64-hp-hpux11.00/3.2/specs
Configured with: /usr/local/build/gcc-3.2/configure --build=hppa64-hp-hpux11.00
--host=hppa64-hp-hpux11.00 --with-gnu-as --with-as=/usr/local/bin/as
--with-gnu-ld --with-ld=/usr/local/bin/ld
Thread model: single
gcc version 3.2
% as -v
GNU assembler version 2.13 (hppa64-hp-hpux11.00) using BFD version 2.13
% ld -v
GNU ld version 2.13

The configure decides the PLATFORM is 9000_800-hp-hpux11.00 where it should
decide it to be hppa64-hp-hpux11.00. It is down hill from there.

It decides the LDFLAGS_SHLIB is -b instead of -ashared so the make ends with
the error 
gcc -c  -I../../os/unix -I../../include   -DHPUX11 -DUSE_HSREGEX `../../apaci`
-fpic -DSHARED_MODULE mod_vhost_alias.c && mv mod_vhost_alias.o
mod_vhost_alias.lo
ld -b -o mod_vhost_alias.so mod_vhost_alias.lo 
ld: invalid BFD target `-o'
make[5]: *** [mod_vhost_alias.so] Error 1

because the ld expects a BFD target after the -o I tried to modify the
Makefiles to use -ashared instead of -b. I do not have the experience to make
it work correctly.

Since it is only possible to link shared libs built with gcc 3.2 with the
gnu ld I am not able to use the native ld.

---------------------------------------------------------------------
To unsubscribe, e-mail: bugs-unsubscribe@httpd.apache.org
For additional commands, e-mail: bugs-help@httpd.apache.org


Mime
View raw message